import { type PaymentProvider } from '@prisma/client';
import { type DomainEvent } from '@modules/shared';

export class PaymentFailedEvent implements DomainEvent {
  readonly eventName = 'payment.failed';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly userId: string,
    public readonly provider: PaymentProvider,
  ) {}
}
